"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapPromiseValues = void 0;
const mapPromiseValues = (promiseValues) => {
    return Promise.all(Object.values(promiseValues)).then((values) => {
        return Object.keys(promiseValues).reduce((result, key, index) => {
            result[key] = values[index];
            return result;
        }, {});
    });
};
exports.mapPromiseValues = mapPromiseValues;
//# sourceMappingURL=utils.js.map